package model;

public class Position {
	private int x; // x horizontal -> use static Position.a to Position.h
	private int y; // y vertical -> use 1 to 8

	// PS : graveyards are specified as negative 'x', and we use 'y' to pile dead pieces from 1 to n
	public static final int WHITE_GRAVEYARD = -1, BLACK_GRAVEYARD = -2;

	public Position(int x, int y) {
		this.x = x;
		this.y = y;
	}

	public int getID() {
		return (y-1) * 8 + x-1;
	}
	public int getX() {
		return x;
	}
	public int getY() {
		return y;
	}

	public void setByID(int id) {
		x = id % 8;
		y = (id - x) / 8;
		x++;
		y++;
	}
	public void set(int x, int y) {
		this.x = x;
		this.y = y;
	}
	public void setX(int x) {
		this.x = x;
	}
	public void setY(int y) {
		this.y = y;
	}

	public boolean isCorrect() {
		return (x >= 1 && x <= 8 && y >= 1 && y <= 8);
	}

	public boolean equals(Position p) {
		return (x == p.getX() && y == p.getY());
	}
}
